/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* this file is part of criawips, a gnome presentation application
 *
 * AUTHORS
 *       Sven Herzberg        <herzi@gnome-de.org>
 *
 * Copyright (C) 2004 Sven Herzberg
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include <glib/gi18n.h>

#include "cc-canvas-movable.h"

static void
cc_canvas_movable_class_init(gpointer iface) {
	GType	  iface_type;
	
	iface_type = G_TYPE_FROM_INTERFACE(iface);

	g_object_interface_install_property(iface,
					    g_param_spec_double("x",
						    		_("X Coordinate"),
								_("X position from the topleft corner of the canvas"),
								0.0,
								G_MAXDOUBLE,
								0.0,
								(G_PARAM_CONSTRUCT | G_PARAM_READWRITE)
						    ));
	g_object_interface_install_property(iface,
					    g_param_spec_double("y",
						    		_("Y Coordinate"),
								_("Y position from the topleft corner of the canvas"),
								0.0,
								G_MAXDOUBLE,
								0.0,
								(G_PARAM_CONSTRUCT | G_PARAM_READWRITE)
						    ));
}

GType
cc_canvas_movable_get_type (void)
{
        static GType type = 0;
        if (! type) {
                static const GTypeInfo info = {
                        sizeof (CCCanvasMovableClass),
                        NULL,   /* base_init */
                        NULL,   /* base_finalize */
                        NULL,   /* class_init */
                        NULL,   /* class_finalize */
                        NULL,   /* class_data */
                        0,
                        0,      /* n_preallocs */
                        NULL    /* instance_init */
                };
                type = g_type_register_static (G_TYPE_INTERFACE, "CCCanvasMovable", &info, 0);
        }
        return type;
}


