/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* this file is part of criawips, a gnome presentation application
 *
 * AUTHORS
 *       Sven Herzberg        <herzi@gnome-de.org>
 *
 * Copyright (C) 2004 Sven Herzberg
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#ifndef CC_CANVAS_MOVABLE_H
#define CC_CANVAS_MOVABLE_H

#include <glib-object.h>

#define CC_TYPE_CANVAS_MOVABLE             (cc_ifeature_get_type ())
#define CC_CANVAS_MOVABLE(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), CC_CANVAS_MOVABLE_TYPE, CCCanvasMovable))
#define CC_CANVAS_MOVABLE_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), CC_CANVAS_MOVABLE_TYPE, CCCanvasMovableClass))
#define CC_IS_CANVAS_MOVABLE(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CC_CANVAS_MOVABLE_TYPE))
#define CC_IS_CANVAS_MOVABLE_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), CC_CANVAS_MOVABLE_TYPE))
#define CC_CANVAS_MOVABLE_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_INTERFACE ((inst), CC_CANVAS_MOVABLE_TYPE, CCCanvasMovableClass))

typedef struct _CCCanvasMovable CCCanvasMovable;
typedef struct _CCCanvasMovableClass CCCanvasMovableClass;

struct _CCCanvasMovableClass {
	GTypeInterface parent;

	void (* do_it) (CCCanvasMovable *self, guint arg);
};

GType cc_ifeature_get_type (void);

void cc_ifeature_do_it (CCCanvasMovable *self, guint arg);
 
#endif /* !CC_CANVAS_MOVABLE_H */
