/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* This file is part of criawips, a GNOME presentation application
 *
 * AUTHORS
 *       Sven Herzberg        <herzi@gnome-de.org>
 *
 * Copyright (C) 2004 Sven Herzberg
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include <string.h>

#include "libglade-support.h"
#include "slide-list.h"
#include "slide-view.h"

GtkWidget*
criawips_libglade_custom_handler (GladeXML* xml, gchar* func_name, gchar* widget_name, gchar* string1, gchar* string2, gint int1, gint int2, gpointer data) {
	GtkWidget	* return_widget;

	if (strcmp(widget_name, "main_slide_list") == 0) {
		return_widget = cria_slide_list_new();
	} else if(strcmp(widget_name, "main_slide_view") == 0) {
		return_widget = cria_slide_view_new();
	} else {
		g_assert_not_reached();
		return NULL;
	}

	gtk_widget_show(return_widget);

	return return_widget;
}

